--- old/usr/src/head/libgen.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/libgen.h	Sat Aug  2 23:27:08 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,6 @@
 #ifndef _LIBGEN_H
 #define	_LIBGEN_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 2.4.2.8 */
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -49,41 +49,16 @@
 extern "C" {
 #endif
 
-#ifdef __STDC__
 extern char *basename(char *);
-#else
-extern char *basename();
-#endif
-
-#ifdef __STDC__
 extern char *dirname(char *);
-#else
-extern char *dirname();
-#endif
 
 #if !defined(_XPG6) || defined(__EXTENSIONS__)
-
-#ifdef __STDC__
 extern char *regcmp(const char *, ...);
-#else
-extern char *regcmp();
-#endif
-
-#ifdef __STDC__
 extern char *regex(const char *, const char *, ...);
-#else
-extern char *regex();
 #endif
 
-#endif /* !defined(_XPG6) || defined(__EXTENSIONS__) */
-
 #ifdef _REENTRANT
-
-#ifdef __STDC__
 extern char **____loc1(void);
-#else
-extern char **____loc1();
-#endif  /* __STDC__ */
 #define	__loc1 (*(____loc1()))
 #elif !defined(_XPG6) || defined(__EXTENSIONS__)
 extern char *__loc1;	/* Marked LEGACY in XPG5 and removed in XPG6 */
@@ -91,17 +66,8 @@
 
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
 
-#ifdef __STDC__
 extern char *bgets(char *, size_t, FILE *, char *);
-#else
-extern char *bgets();
-#endif
-
-#ifdef __STDC__
 extern size_t bufsplit(char *, size_t, char **);
-#else
-extern size_t bufsplit();
-#endif
 
 #if !defined(_LP64) && _FILE_OFFSET_BITS == 64
 #ifdef	__PRAGMA_REDEFINE_EXTNAME
@@ -119,63 +85,19 @@
 #endif
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#ifdef __STDC__
 extern char *copylist(const char *, off_t *);
 #if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
 	    !defined(__PRAGMA_REDEFINE_EXTNAME))
 extern char *copylist64(const char *, off64_t *);
 #endif	/* _LARGEFILE64_SOURCE... */
-#else
-extern char *copylist();
-#ifdef _LARGEFILE64_SOURCE
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern char *copylist64();
-#endif	/* _LARGEFILE64_SOURCE... */
-#endif
-#endif
 
-#ifdef __STDC__
 extern int eaccess(const char *, int);
-#else
-extern int eaccess();
-#endif
-
-#ifdef __STDC__
 extern int gmatch(const char *, const char *);
-#else
-extern int gmatch();
-#endif
-
-#ifdef __STDC__
 extern int isencrypt(const char *, size_t);
-#else
-extern int isencrypt();
-#endif
-
-#ifdef __STDC__
 extern int mkdirp(const char *, mode_t);
-#else
-extern int mkdirp();
-#endif
-
-#ifdef __STDC__
 extern int p2open(const char *, FILE *[2]);
-#else
-extern int p2open();
-#endif
-
-#ifdef __STDC__
 extern int p2close(FILE *[2]);
-#else
-extern int p2close();
-#endif
-
-#ifdef __STDC__
 extern char *pathfind(const char *, const char *, const char *);
-#else
-extern char *pathfind();
-#endif
 
 #ifdef _REENTRANT
 #define	__i_size (*(___i_size()))
@@ -183,53 +105,14 @@
 extern int __i_size;
 #endif
 
-#ifdef __STDC__
 extern int rmdirp(char *, char *);
-#else
-extern int rmdirp();
-#endif
-
-#ifdef __STDC__
 extern char *strcadd(char *, const char *);
-#else
-extern char *strcadd();
-#endif
-
-#ifdef __STDC__
 extern char *strccpy(char *, const char *);
-#else
-extern char *strccpy();
-#endif
-
-#ifdef __STDC__
 extern char *streadd(char *, const char *, const char *);
-#else
-extern char *streadd();
-#endif
-
-#ifdef __STDC__
 extern char *strecpy(char *, const char *, const char *);
-#else
-extern char *strecpy();
-#endif
-
-#ifdef __STDC__
 extern int strfind(const char *, const char *);
-#else
-extern int strfind();
-#endif
-
-#ifdef __STDC__
 extern char *strrspn(const char *, const char *);
-#else
-extern char *strrspn();
-#endif
-
-#ifdef __STDC__
 extern char *strtrns(const char *, const char *, const char *, char *);
-#else
-extern char *strtrns();
-#endif
 
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
 
--- old/usr/src/head/libintl.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/libintl.h	Sat Aug  2 23:27:08 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_LIBINTL_H
 #define	_LIBINTL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/isa_defs.h>
 
 #ifdef	__cplusplus
@@ -64,7 +64,6 @@
 #define	__GNU_GETTEXT_SUPPORTED_REVISION(m)	\
 	((((m) == 0) || ((m) == 1)) ? 1 : -1)
 
-#ifdef __STDC__
 extern char *dcgettext(const char *, const char *, const int);
 extern char *dgettext(const char *, const char *);
 extern char *gettext(const char *);
@@ -91,33 +90,6 @@
 extern wchar_t mcfiller(void);
 extern int mcwrap(void);
 
-#else
-extern char *dcgettext();
-extern char *dgettext();
-extern char *gettext();
-extern char *textdomain();
-extern char *bindtextdomain();
-
-/*
- * LI18NUX 2000 Globalization Specification Version 1.0
- * with Amendment 2
- */
-extern char *dcngettext();
-extern char *dngettext();
-extern char *ngettext();
-extern char *bind_textdomain_codeset();
-
-/* Word handling functions --- requires dynamic linking */
-/* Warning: these are experimental and subject to change. */
-extern int wdinit();
-extern int wdchkind();
-extern int wdbindf();
-extern wchar_t *wddelim();
-extern wchar_t mcfiller();
-extern int mcwrap();
-
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/libw.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/libw.h	Sat Aug  2 23:27:08 2014
@@ -19,15 +19,15 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef _LIBW_H
 #define	_LIBW_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.1	*/
-
 #include <stdlib.h>
 
 #ifdef	__cplusplus
@@ -44,11 +44,7 @@
 } eucwidth_t;
 #endif
 
-#ifdef __STDC__
 void getwidth(eucwidth_t *);
-#else
-void getwidth();
-#endif	/* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/link.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/link.h	Sat Aug  2 23:27:08 2014
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -46,7 +47,6 @@
  * 32bit, or not in the large file environment.
  */
 #if !defined(_ILP32) || _FILE_OFFSET_BITS != 64
-#ifdef __STDC__
 #include <libelf.h>
 extern uint_t	ld_version(uint_t);
 extern void	ld_input_done(uint_t *);
@@ -73,27 +73,6 @@
 			Elf_Data *, Elf *);
 
 #endif /* (defined(_LP64) || defined(_LONGLONG_TYPE) */
-#else
-extern void	ld_version();
-extern void	ld_input_done();
-
-extern void	ld_start();
-extern void	ld_atexit();
-extern void	ld_open();
-extern void	ld_file();
-extern void	ld_input_section();
-extern void	ld_section();
-
-#if defined(_LP64) || defined(_LONGLONG_TYPE)
-extern void	ld_start64();
-extern void	ld_atexit64();
-extern void	ld_open64();
-extern void	ld_file64();
-extern void	ld_input_section64();
-extern void	ld_section64();
-
-#endif /* (defined(_LP64) || defined(_LONGLONG_TYPE) */
-#endif /* __STDC__ */
 #endif /* !defined(_ILP32) || _FILE_OFFSET_BITS != 64 */
 
 /*
@@ -224,7 +203,6 @@
 #endif
 
 
-#ifdef	__STDC__
 extern uint_t		la_version(uint_t);
 extern void		la_activity(uintptr_t *, uint_t);
 extern void		la_preinit(uintptr_t *);
@@ -254,25 +232,7 @@
 extern uintptr_t	la_pltexit(Elf32_Sym *, uint_t, uintptr_t *,
 				uintptr_t *, uintptr_t);
 #endif /* _LP64 */
-#else  /* __STDC__ */
-extern uint_t		la_version();
-extern void		la_preinit();
-extern uint_t		la_objopen();
-extern uint_t		la_objclose();
-extern int		la_objfilter();
-#if	defined(_LP64)
-extern uintptr_t	la_sparcv9_pltenter();
-extern uintptr_t	la_pltexit64();
-extern uintptr_t	la_symbind64();
-#else  /* _ILP32 */
-extern uintptr_t	la_sparcv8_pltenter();
-extern uintptr_t	la_i86_pltenter();
-extern uintptr_t	la_pltexit();
-extern uintptr_t	la_symbind32();
-#endif /* _LP64 */
-#endif /* __STDC__ */
 
-#ifdef	__STDC__
 /*
  * The ElfW() macro is a GNU/Linux feature, provided as support for
  * the dl_phdr_info structure used by dl_phdr_iterate(), which also
@@ -326,7 +286,6 @@
 
 extern  int dl_iterate_phdr(int (*)(struct dl_phdr_info *, size_t, void *),
 	    void *);
-#endif /* __STDC__ */
 
 #endif	/* _ASM */
 #endif /* _KERNEL */
--- old/usr/src/head/locale.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/locale.h	Sat Aug  2 23:27:08 2014
@@ -25,7 +25,7 @@
  */
 
 /*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  *
  * Portions of this file developed by Garrett D'Amore are licensed
  * under the terms of the Common Development and Distribution License (CDDL)
@@ -84,17 +84,10 @@
 typedef struct _locale *locale_t;
 #endif
 
-#if	defined(__STDC__)
 extern locale_t	duplocale(locale_t);
 extern void	freelocale(locale_t);
 extern locale_t	newlocale(int, const char *, locale_t);
 extern locale_t	uselocale(locale_t);
-#else	/* __STDC__ */
-extern locale_t	duplocale();
-extern void	freelocale();
-extern locale_t	newlocale();
-extern locale_t	uselocale();
-#endif	/* __STDC__ */
 
 #define	LC_GLOBAL_LOCALE	(__global_locale())
 extern locale_t			__global_locale(void);
--- old/usr/src/head/macros.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/macros.h	Sat Aug  2 23:27:08 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef	_MACROS_H
 #define	_MACROS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3.1.7 */
-
 #include <sys/types.h>
 #include <sys/stat.h>
 
@@ -70,17 +71,8 @@
 
 /*
  *	Use: DEBUG(sum,d) which becomes fprintf(stderr,"sum = %d\n",sum)
- *
- *	Note:	Sccsid[] strings are still supported but not the prefered
- *		method of labeling files.  Use #ident.
  */
-#ifdef	__STDC__
 #define	DEBUG(var, type)	fprintf(stderr, #var "= %" #type "\n", var)
-#define	SCCSID(arg)		static char Sccsid[] = #arg
-#else
-#define	DEBUG(var, type)	fprintf(stderr, "var = %type\n", var)
-#define	SCCSID(arg)		static char Sccsid[] = "arg"
-#endif
 
 /*
  *	Use of ERRABORT() will cause libS.a internal
--- old/usr/src/head/malloc.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/malloc.h	Sat Aug  2 23:27:08 2014
@@ -19,10 +19,12 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef _MALLOC_H
 #define	_MALLOC_H
 
@@ -57,8 +59,6 @@
 	unsigned long keepcost;	/* cost of enabling keep option */
 };
 
-#if defined(__STDC__)
-
 #if (!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	defined(_XPG3)
 #if __cplusplus >= 199711L
@@ -83,17 +83,6 @@
 int mallopt(int, int);
 struct mallinfo mallinfo(void);
 
-#else
-
-void *malloc();
-void free();
-void *realloc();
-void *calloc();
-int mallopt();
-struct mallinfo mallinfo();
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/memory.h	Sat Aug  2 23:27:08 2014
+++ new/usr/src/head/memory.h	Sat Aug  2 23:27:08 2014
@@ -19,15 +19,15 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 #ifndef	_MEMORY_H
 #define	_MEMORY_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.4.1.2 */
-
 #include <sys/types.h>
 
 #ifdef	__cplusplus
@@ -34,7 +34,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 extern void *memccpy(void *, const void *, int, size_t);
 #if __cplusplus >= 199711L
 namespace std {
@@ -55,13 +54,6 @@
 extern void *memcpy(void *, const void *, size_t);
 extern void *memset(void *, int, size_t);
 extern int memcmp(const void *, const void *, size_t);
-#else
-extern void *memccpy();
-extern void *memchr();
-extern void *memcpy();
-extern void *memset();
-extern int memcmp();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/mon.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/mon.h	Sat Aug  2 23:27:09 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1997-2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef _MON_H
 #define	_MON_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -75,11 +74,7 @@
 #endif
 #endif
 
-#if defined(__STDC__)
 extern void monitor(int (*)(void), int (*)(void), WORD *, size_t, size_t);
-#else
-extern void monitor();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/monetary.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/monetary.h	Sat Aug  2 23:27:09 2014
@@ -20,12 +20,11 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-/*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
- */
 
 #ifndef	_MONETARY_H
 #define	_MONETARY_H
@@ -37,7 +36,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 extern ssize_t	strfmon(char *_RESTRICT_KYWD, size_t,
 			const char *_RESTRICT_KYWD, ...);
 
@@ -52,11 +50,6 @@
 		const char *_RESTRICT_KYWD, ...);
 #endif
 
-#else
-extern ssize_t	strfmon();
-extern ssize_t	strfmon_l();
-#endif
-
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/head/mp.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/mp.h	Sat Aug  2 23:27:09 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1989 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,6 @@
 #ifndef _MP_H
 #define	_MP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -48,7 +48,6 @@
 typedef struct mint MINT;
 
 
-#ifdef __STDC__
 extern void mp_gcd(MINT *, MINT *, MINT *);
 extern void mp_madd(MINT *, MINT *, MINT *);
 extern void mp_msub(MINT *, MINT *, MINT *);
@@ -65,24 +64,6 @@
 extern MINT *mp_xtom(char *);
 extern char *mp_mtox(MINT *);
 extern void mp_mfree(MINT *);
-#else
-extern void mp_gcd();
-extern void mp_madd();
-extern void mp_msub();
-extern void mp_mdiv();
-extern void mp_sdiv();
-extern int mp_min();
-extern void mp_mout();
-extern int mp_msqrt();
-extern void mp_mult();
-extern void mp_pow();
-extern void mp_rpow();
-extern MINT *mp_itom();
-extern int mp_mcmp();
-extern MINT *mp_xtom();
-extern char *mp_mtox();
-extern void mp_mfree();
-#endif
 
 #define	FREE(x)	_mp_xfree(&(x))		/* Compatibility */
 
--- old/usr/src/head/mqueue.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/mqueue.h	Sat Aug  2 23:27:09 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _MQUEUE_H
 #define	_MQUEUE_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 #include <sys/fcntl.h>
@@ -53,7 +53,6 @@
 /*
  * function prototypes
  */
-#if	defined(__STDC__)
 #if	(_POSIX_C_SOURCE - 0 > 0) && (_POSIX_C_SOURCE - 0 <= 2)
 #error	"POSIX Message Passing is not supported in POSIX.1-1990"
 #endif
@@ -77,20 +76,6 @@
 int	mq_getattr(mqd_t, struct mq_attr *);
 int	mq_setattr(mqd_t, const struct mq_attr *_RESTRICT_KYWD,
 		struct mq_attr *_RESTRICT_KYWD);
-#else
-mqd_t	mq_open();
-int	mq_close();
-int	mq_unlink();
-int	mq_send();
-int	mq_timedsend();
-int	mq_reltimedsend_np();
-ssize_t	mq_receive();
-ssize_t	mq_timedreceive();
-ssize_t	mq_reltimedreceive_np();
-int	mq_notify();
-int	mq_getattr();
-int	mq_setattr();
-#endif	/* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/nan.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/nan.h	Sat Aug  2 23:27:09 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1996, by Sun Microsystems, Inc.
  * All Rights Reserved
  */
@@ -31,8 +33,6 @@
 #ifndef _NAN_H
 #define	_NAN_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Handling of Not_a_Number's (only in IEEE floating-point standard)
  */
@@ -120,11 +120,7 @@
 #define	GETNaNPC(dval)	(((dnan *)&(dval))->inf_parts.bits << 12 | \
 			    ((dnan *)&(dval))->nan_parts.fraction_low >> 20)
 
-#if defined(__STDC__)
 #define	KILLFPE()	(void) _kill(_getpid(), 8)
-#else
-#define	KILLFPE()	(void) kill(getpid(), 8)
-#endif
 #define	NaN(X)		(((dnan *)&(X))->nan_parts.exponent == 0x7ff)
 #define	KILLNaN(X)	if (NaN(X)) KILLFPE()
 
--- old/usr/src/head/ndbm.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/ndbm.h	Sat Aug  2 23:27:09 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1989 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -39,8 +41,6 @@
 #ifndef _NDBM_H
 #define	_NDBM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 
@@ -90,7 +90,6 @@
 } datum;
 #endif
 
-#ifdef	__STDC__
 DBM	*dbm_open(const char *, int, mode_t);
 void	dbm_close(DBM *);
 datum	dbm_fetch(DBM *, datum);
@@ -100,17 +99,6 @@
 int	dbm_store(DBM *, datum, datum, int);
 int	dbm_clearerr(DBM *);
 int	dbm_error(DBM *);
-#else
-DBM	*dbm_open();
-void	dbm_close();
-datum	dbm_fetch();
-datum	dbm_firstkey();
-datum	dbm_nextkey();
-int	dbm_delete();
-int	dbm_store();
-int	dbm_clearerr();
-int	dbm_error();
-#endif
 
 #define	_DBM_RDONLY	0x1	/* data base open read-only */
 #define	_DBM_IOERR	0x2	/* data base I/O error */
--- old/usr/src/head/netdb.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/netdb.h	Sat Aug  2 23:27:09 2014
@@ -1,4 +1,6 @@
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -229,7 +231,6 @@
 	char	*s_proto;	/* protocol to use */
 };
 
-#ifdef	__STDC__
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
 struct hostent	*gethostbyname_r
 	(const char *, struct hostent *, char *, int, int *h_errnop);
@@ -353,82 +354,7 @@
 /* END IPsec algorithm prototype definitions */
 
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
-#else	/* __STDC__ */
-struct hostent	*gethostbyname_r();
-struct hostent	*gethostbyaddr_r();
-struct hostent	*getipnodebyname();
-struct hostent	*getipnodebyaddr();
-void		 freehostent();
-struct hostent	*gethostent_r();
-struct servent	*getservbyname_r();
-struct servent	*getservbyport_r();
-struct servent	*getservent_r();
-struct netent	*getnetbyname_r();
-struct netent	*getnetbyaddr_r();
-struct netent	*getnetent_r();
-struct protoent	*getprotobyname_r();
-struct protoent	*getprotobynumber_r();
-struct protoent	*getprotoent_r();
-int		 getnetgrent_r();
-int		 innetgr();
 
-/* Old interfaces that return a pointer to a static area;  MT-unsafe */
-struct hostent	*gethostbyname();
-struct hostent	*gethostbyaddr();
-struct hostent	*gethostent();
-struct netent	*getnetbyname();
-struct netent	*getnetbyaddr();
-struct netent	*getnetent();
-struct servent	*getservbyname();
-struct servent	*getservbyport();
-struct servent	*getservent();
-struct protoent	*getprotobyname();
-struct protoent	*getprotobynumber();
-struct protoent	*getprotoent();
-int		 getnetgrent();
-
-int sethostent();
-int endhostent();
-int setnetent();
-int endnetent();
-int setservent();
-int endservent();
-int setprotoent();
-int endprotoent();
-int setnetgrent();
-int endnetgrent();
-int rcmd();
-int rcmd_af();
-int rexec();
-int rexec_af();
-int rresvport();
-int rresvport_af();
-int rresvport_addr();
-int ruserok();
-/* BIND */
-struct hostent	*gethostbyname2();
-void		herror();
-char		*hstrerror();
-/* IPv6 prototype definitons */
-int		getaddrinfo();
-void		freeaddrinfo();
-const char	*gai_strerror();
-int		getnameinfo();
-/* END IPv6 prototype definitions */
-/* End BIND */
-
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-/* IPsec algorithm prototype definitions */
-struct ipsecalgent *getalgbyname();
-struct ipsecalgent *getalgbydoi();
-int getdoidomainbyname();
-const char *getdoidomainbynum();
-void freealgent();
-/* END IPsec algorithm prototype definitions */
-#endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
-
-#endif	/* __STDC__ */
-
 /*
  * Error return codes from gethostbyname() and gethostbyaddr()
  * (when using the resolver)
@@ -437,11 +363,7 @@
 extern  int h_errno;
 
 #ifdef	_REENTRANT
-#ifdef	__STDC__
 extern int	*__h_errno(void);
-#else
-extern int	*__h_errno();
-#endif	/* __STDC__ */
 
 /* Only #define h_errno if there is no conflict with other use */
 #ifdef	H_ERRNO_IS_FUNCTION
--- old/usr/src/head/netdir.h	Sat Aug  2 23:27:09 2014
+++ new/usr/src/head/netdir.h	Sat Aug  2 23:27:09 2014
@@ -19,11 +19,13 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1992 Sun Microsystems, Inc.	*/
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
  * netdir.h
  *
@@ -34,8 +36,6 @@
 #ifndef _NETDIR_H
 #define	_NETDIR_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.5	*/
-
 /*
  * This files uses struct netconfig, and netconfig.h must be included
  * before this to avoid warnings.
@@ -79,8 +79,6 @@
 #endif  /* _REENTRANT */
 
 
-#ifdef __STDC__
-
 int netdir_options(struct netconfig *, int option, int fd, char *par);
 int netdir_getbyname(struct netconfig *, struct nd_hostserv *,
     struct nd_addrlist **);
@@ -101,25 +99,6 @@
 char *_taddr2uaddr(struct netconfig *, struct netbuf *);
 char *_netdir_mergeaddr(struct netconfig *, char *uaddr, char *ruaddr);
 
-#else	/* __STDC__ */
-
-int netdir_options();
-int netdir_getbyname();
-int netdir_getbyaddr();
-int netdir_mergeaddr();
-void netdir_free();
-struct netbuf *uaddr2taddr();
-void netdir_perror();
-char *netdir_sperror();
-char *taddr2uaddr();
-struct nd_addrlist *_netdir_getbyname();
-struct nd_hostservlist *_netdir_getbyaddr();
-char *_netdir_mergeaddr();
-struct netbuf *_uaddr2taddr();
-char *_taddr2uaddr();
-
-#endif	/* __STDC__ */
-
 /*
  * These are all objects that can be freed by netdir_free
  */
--- old/usr/src/head/nl_types.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/nl_types.h	Sat Aug  2 23:27:10 2014
@@ -22,6 +22,8 @@
 /*
  *  nl_types.h
  *
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1991,1997,2000 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -32,8 +34,6 @@
 #ifndef	_NL_TYPES_H
 #define	_NL_TYPES_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/isa_defs.h>
 
 #ifdef	__cplusplus
@@ -105,15 +105,9 @@
 /* Need to be removed later */
 typedef	nl_item	__nl_item;
 
-#ifdef	__STDC__
 int	catclose(nl_catd);
 char	*catgets(nl_catd, int, int, const char *);
 nl_catd catopen(const char *, int);
-#else
-int	catclose();
-char	*catgets();
-nl_catd catopen();
-#endif	/* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/nlist.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/nlist.h	Sat Aug  2 23:27:10 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _NLIST_H
 #define	_NLIST_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.8.2.4 */
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -41,11 +42,7 @@
 	char		n_numaux;	/* number of aux. entries */
 };
 
-#if defined(__STDC__)
 extern int nlist(const char *, struct nlist *);
-#else	/* __STDC__ */
-extern int nlist();
-#endif  /* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/nsctl.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/nsctl.h	Sat Aug  2 23:27:10 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -63,7 +65,6 @@
 	const char *runtime;	/* runtime release(s) */
 } nsc_release_t;
 
-#ifdef __STDC__
 extern void _nsc_nocheck(void);
 extern nsc_fd_t *nsc_open(char *, int, int);
 extern nsc_fd_t *nsc_fdopen(int, char *, int);
@@ -79,23 +80,6 @@
 extern int nsc_name_to_id(char *name, int *id);
 extern int nsc_id_to_name(char **name, int id);
 extern int nsc_check_release(const char *, nsc_release_t *, char **);
-#else
-extern void _nsc_nocheck();
-extern nsc_fd_t *nsc_open();
-extern nsc_fd_t *nsc_fdopen();
-extern int nsc_close();
-extern int nsc_fileno();
-extern int nsc_reserve();
-extern int nsc_release();
-extern int nsc_partsize();
-extern int nsc_freeze();
-extern int nsc_unfreeze();
-extern int nsc_isfrozen();
-extern int nsc_getsystemid();
-extern int nsc_name_to_id();
-extern int nsc_id_to_name();
-extern int nsc_check_release();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/nss_common.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/nss_common.h	Sat Aug  2 23:27:10 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -34,8 +36,6 @@
 #ifndef _NSS_COMMON_H
 #define	_NSS_COMMON_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <synch.h>
 
 #ifdef	__cplusplus
@@ -248,11 +248,7 @@
 
 struct nss_backend;
 
-#if defined(__STDC__)
 typedef nss_status_t (*nss_backend_op_t)(struct nss_backend *, void *args);
-#else
-typedef nss_status_t (*nss_backend_op_t)();
-#endif
 
 struct nss_backend {
 	nss_backend_op_t	*ops;
@@ -295,24 +291,15 @@
  * backend, properly initialized (or returns NULL).
  */
 
-#if defined(__STDC__)
 typedef	nss_backend_t		*(*nss_backend_constr_t)(const char *db_name,
 							const char *src_name,
 /* Hook for (unimplemented) args in nsswitch.conf */	const char *cfg_args);
-#else
-typedef	nss_backend_t 		*(*nss_backend_constr_t)();
-#endif
 
 struct nss_backend_finder {
-#if defined(__STDC__)
 	nss_backend_constr_t	(*lookup)
 		(void *lkp_priv, const char *, const char *, void **del_privp);
 	void			(*delete)
 		(void *del_priv, nss_backend_constr_t);
-#else
-	nss_backend_constr_t	(*lookup)();
-	void			(*delete)();
-#endif
 	struct nss_backend_finder *next;
 	void			*lookup_priv;
 };
@@ -375,11 +362,7 @@
 
 typedef struct nss_db_params nss_db_params_t;
 
-#if defined(__STDC__)
 typedef void (*nss_db_initf_t)(nss_db_params_t *);
-#else
-typedef void (*nss_db_initf_t)();
-#endif
 
 /*
  * DBD param offsets in NSS2 nscd header.
@@ -451,7 +434,6 @@
 typedef struct nss_config nss_config_t;
 
 
-#if defined(__STDC__)
 extern nss_status_t nss_config(nss_config_t **, int);
 
 extern nss_status_t nss_search(nss_db_root_t *, nss_db_initf_t,
@@ -480,26 +462,7 @@
 extern nss_status_t _nsc_endent_u(nss_db_root_t *, nss_db_initf_t,
 			nss_getent_t *);
 
-#else
-extern nss_status_t nss_config();
 
-extern nss_status_t nss_search();
-extern nss_status_t nss_getent();
-extern void nss_setent();
-extern void nss_endent();
-extern void nss_delete();
-
-extern int nss_pack();
-extern int nss_pack_ent();
-extern int nss_unpack();
-extern int nss_unpack_ent();
-
-extern nss_status_t _nsc_search();
-extern nss_status_t _nsc_getent_u();
-extern nss_status_t _nsc_setent_u();
-extern nss_status_t _nsc_endent_u();
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/nss_dbdefs.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/nss_dbdefs.h	Sat Aug  2 23:27:10 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
@@ -234,7 +236,6 @@
  * The nss_groupstr_t routine does the real work for any backend
  * that can supply a netgroup entry as a string in /etc/group format
  */
-#if defined(__STDC__)
 typedef int		(*nss_str2ent_t)(const char *in, int inlen,
 				void *ent, char *buf, int buflen);
 
@@ -241,10 +242,6 @@
 struct nss_groupsbymem;		/* forward definition */
 typedef nss_status_t	(*nss_groupstr_t)(const char *instr, int inlen,
 				struct nss_groupsbymem *);
-#else
-typedef int		(*nss_str2ent_t)();
-typedef nss_status_t	(*nss_groupstr_t)();
-#endif
 
 /*
  * The initgroups() function [see initgroups(3c)] needs to find all the
@@ -376,13 +373,8 @@
 	int		buflen;		/* "buflen"     "             "      */
 } nss_XbyY_buf_t;
 
-#if defined(__STDC__)
 extern nss_XbyY_buf_t	*_nss_XbyY_buf_alloc(int struct_size, int buffer_size);
 extern void		 _nss_XbyY_buf_free(nss_XbyY_buf_t *);
-#else
-extern nss_XbyY_buf_t	*_nss_XbyY_buf_alloc();
-extern void		 _nss_XbyY_buf_free();
-#endif
 
 #define	NSS_XbyY_ALLOC(bufpp, str_size, buf_size)		(\
 	(*bufpp) == 0						\
@@ -453,12 +445,8 @@
 } nss_XbyY_key_t;
 
 
-#if defined(__STDC__)
 typedef int		(*nss_key2str_t)(void *buffer, size_t buflen,
 				nss_XbyY_key_t *key, size_t *len);
-#else
-typedef int		(*nss_key2str_t)();
-#endif
 
 
 typedef struct nss_XbyY_args {
@@ -689,7 +677,6 @@
 	((nss_pheader_t *)(buf))->p_ruid == (ruid) && \
 	((nss_pheader_t *)(buf))->p_euid == (euid))
 
-#if defined(__STDC__)
 extern char		**_nss_netdb_aliases(const char *, int, char *, int);
 extern nss_status_t	nss_default_key2str(void *, size_t, nss_XbyY_args_t *,
 					const char *, int, size_t *);
@@ -703,14 +690,6 @@
 					nss_XbyY_args_t *);
 extern nss_status_t	nss_packed_getkey(void *, size_t, char **, int *,
 					nss_XbyY_args_t *);
-#else
-extern char		**_nss_netdb_aliases();
-extern int		nss_default_key2str();
-extern nss_status_t	nss_packed_arg_init();
-extern nss_status_t	nss_packed_context_init();
-extern void		nss_packed_set_status();
-extern nss_status_t	nss_packed_getkey();
-#endif
 
 /*
  * nss_dbop_t values for searches with various keys;  values for
--- old/usr/src/head/nss_netdir.h	Sat Aug  2 23:27:10 2014
+++ new/usr/src/head/nss_netdir.h	Sat Aug  2 23:27:10 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -36,8 +38,6 @@
 #ifndef _NSS_NETDIR_H
 #define	_NSS_NETDIR_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -123,8 +123,6 @@
 	} nss;
 };
 
-#ifdef __STDC__
-
 int __classic_netdir_getbyname(struct netconfig *,
 		struct nd_hostserv *, struct nd_addrlist **);
 int __classic_netdir_getbyaddr(struct netconfig *,
@@ -138,18 +136,6 @@
 struct netbuf *__inet_uaddr2taddr(struct netconfig *, char *);
 char *__inet_taddr2uaddr(struct netconfig *, struct netbuf *);
 
-#else
-
-int __classic_netdir_getbyname();
-int __classic_netdir_getbyaddr();
-int _get_hostserv_inetnetdir_byname();
-int _get_hostserv_inetnetdir_byaddr();
-int __inet_netdir_options();
-struct netbuf *__inet_uaddr2taddr();
-char *__inet_taddr2uaddr();
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
